Page MenuHomePhabricator

Change load.php to minify per-module instead of per-request
Closed, ResolvedPublic

Description

This would improve cache-hit ratio for minification filters and also avoid hacks like https://gerrit.wikimedia.org/r/227914.

Event Timeline

Krinkle created this task.Jul 29 2015, 11:50 PM
Krinkle raised the priority of this task from to Low.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 11:50 PM

Change 242767 had a related patch set uploaded (by Ori.livneh):
Change load.php to minify per-module instead of per-request

https://gerrit.wikimedia.org/r/242767

Change 242774 had a related patch set uploaded (by Ori.livneh):
Change load.php to minify per-module instead of per-request

https://gerrit.wikimedia.org/r/242774

Change 242775 had a related patch set uploaded (by Ori.livneh):
Change load.php to minify per-module instead of per-request

https://gerrit.wikimedia.org/r/242775

Change 242775 merged by Ori.livneh:
Change load.php to minify per-module instead of per-request

https://gerrit.wikimedia.org/r/242775

Change 242774 merged by Ori.livneh:
Change load.php to minify per-module instead of per-request

https://gerrit.wikimedia.org/r/242774

Krinkle assigned this task to ori.Oct 1 2015, 5:12 PM
Krinkle set Security to None.
Krinkle moved this task from Accepted: Enhancement to Assigned on the MediaWiki-ResourceLoader board.
Krinkle added a subscriber: ori.

Change 242767 merged by jenkins-bot:
resourceloader: Minify per-module instead of per-response

https://gerrit.wikimedia.org/r/242767

Krinkle closed this task as Resolved.Oct 2 2015, 1:03 AM